Update a capture - Flex Documentation

Update a capture

cURL

curl --request PATCH \
  --url https://api.withflex.com/v1/captures/{capture_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '\n{\n  "capture": {\n    "metadata": {\n      "order_id": "8842",\n      "channel": "shopify"\n    }\n  }\n}'

Python

import requests

url = "https://api.withflex.com/v1/captures/{capture_id}"

payload = { "capture": { "metadata": {
            "order_id": "8842",
            "channel": "shopify"
        } } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({capture: {metadata: {order_id: '8842', channel: 'shopify'}}})
};

fetch('https://api.withflex.com/v1/captures/{capture_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Possible Responses

Status Code Description
200 Success
401 Unauthorized
403 Forbidden
404 Not Found
409 Conflict
422 Unprocessable Entity
429 Too Many Requests

Example Response

{
  "capture": {
    "amount_captured": 2500,
    "amount_shipping_captured": 2500,
    "amount_discount_captured": 2500,
    "amount_tax_captured": 2500,
    "capture_id": "fcap_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
    "created_at": "2026-06-15T14:30:00Z",
    "items": [
      {}
    ],
    "metadata": {
      "order_id": "8842",
      "channel": "shopify"
    },
    "test_mode": false
  }
}

Error Response

{
  "code": "string",
  "detail": "string"
}

Path Parameters

Request Body